@echo off
rem # ====================================================================
rem #
rem # OpenCCM: The Open CORBA Component Model Platform
rem # Copyright (C) 2000-2003 USTL - LIFL - GOAL
rem # Contact: openccm@objectweb.org
rem #
rem # This library is free software; you can redistribute it and/or
rem # modify it under the terms of the GNU Lesser General Public
rem # License as published by the Free Software Foundation; either
rem # version 2.1 of the License, or any later version.
rem #
rem # This library is distributed in the hope that it will be useful,
rem # but WITHOUT ANY WARRANTY; without even the implied warranty of
rem # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
rem # Lesser General Public License for more details.
rem #
rem # You should have received a copy of the GNU Lesser General Public
rem # License along with this library; if not, write to the Free Software
rem # Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
rem # USA
rem #
rem # Initial developer(s): Jrme Moroy
rem # Contributor(s): Sylvain Leblanc, Philippe Merle.
rem #
rem # ====================================================================
rem #
rem # Starting an OpenCCM Explorer Console.
rem #
rem # ====================================================================

rem # the argument
set args=

rem # Adds some '-arg' in front of the given parameters according to the launcher framework.
:initial
if "%1" == "" goto platform_installed
set args=%args% -arg %1
shift
goto initial

rem #  ============================
rem #  OpenCCM Platform installed ?
rem #  ============================

:platform_installed
call %OpenCCM_HOMEDIR%\bin\ccm_installed
if %CCM_INSTALLED%==0 goto :eof

echo The OpenCCM Explorer will be started.

rem # ================================================
rem # Obtain the IOR of the started CosNaming Service.
rem # ================================================

if not exist %OpenCCM_CONFIG_DIR%\NameService.IOR goto :ir
for /f %%i in (%OpenCCM_CONFIG_DIR%\NameService.IOR) do set IOR_NS=%%i
set args=%args% -arg -ORBInitRef -arg NameService=%IOR_NS%

rem # ===================================================
rem # Obtain the IOR of the started Interface Repository.
rem # ===================================================

:ir

if not exist %OpenCCM_CONFIG_DIR%\IR3.IOR goto :trader
for /f %%i in (%OpenCCM_CONFIG_DIR%\IR3.IOR) do set IOR_IR=%%i
set args=%args% -arg -ORBInitRef -arg InterfaceRepository=%IOR_IR%

rem # =================================================
rem # Obtain the IOR of the started CosTrading Service.
rem # =================================================

:trader

if not exist %OpenCCM_CONFIG_DIR%\TradingService.IOR goto :dci
call trader_ior > %OpenCCM_CONFIG_DIR%\trader.tmp
for /f %%i in (%OpenCCM_CONFIG_DIR%\trader.tmp) do set ior_Trader=%%i
del %OpenCCM_CONFIG_DIR%\trader.tmp
set args=%args% -arg -ORBInitRef -arg TradingService=%ior_Trader%

rem # =================================================
rem # Obtain the IOR of the started DCI Manager.
rem # =================================================

:dci
if not exist %OpenCCM_CONFIG_DIR%\DCI.IOR goto :launch
call dci_ior > %OpenCCM_CONFIG_DIR%\dci.tmp
for /f %%i in (%OpenCCM_CONFIG_DIR%\dci.tmp) do set ior_dci=%%i
del %OpenCCM_CONFIG_DIR%\dci.tmp
set args=%args% -arg -ORBInitRef -arg DCI=%ior_dci%

rem #  ==================================
rem #  Start the OpenCCM Browser Console.
rem #  ==================================

:launch

rem # Execute the OpenCCM Explorer console.
rem #
set LAUNCHER_ARGS=%args% file:%OpenCCM_HOMEDIR%\xml\launcher\explorer.xml
call openccm_launcher exec
