@echo off
rem # ====================================================================
rem #
rem # COACH: Component Based Open Source Architecture for
rem #        Distributed Telecom Applications
rem # See:   http://www.objectweb.org/
rem #
rem # Copyright (C) 2003 Lucent Technologies Nederland BV
rem #                    Bell Labs Advanced Technologies - EMEA
rem # Contact: openccm-team@objectweb.org
rem #
rem # This library is free software; you can redistribute it and/or
rem # modify it under the terms of the GNU Lesser General Public
rem # License as published by the Free Software Foundation; either
rem # version 2.1 of the License, or any later version.
rem #
rem # This library is distributed in the hope that it will be useful,
rem # but WITHOUT ANY WARRANTY; without even the implied warranty of
rem # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
rem # Lesser General Public License for more details.
rem #
rem # You should have received a copy of the GNU Lesser General Public
rem # License along with this library; if not, write to the Free Software
rem # Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
rem # USA
rem #
rem # Initial developer(s): Harold Batteram
rem # Contributor(s): --------------------------------------------------.
rem #
rem # ====================================================================
rem #
rem #  Stopping the COACH Actor.
rem #
rem # ====================================================================


rem # check if the Tracing Server is started

if exist %OpenCCM_CONFIG_DIR%\Actor.PID goto :do_stop

echo Error: The COACH Actor is not started!

goto :eof

:do_stop

call ir3_stop
call coach_tracing_stop
call ns_stop

kill F%OpenCCM_CONFIG_DIR%\Actor.PID > nul

rem wait for window to release the files use by the process killed (0s)

call sleep 2

rem # Remove the associated files.

del %OpenCCM_CONFIG_DIR%\Actor.PID
del %OpenCCM_CONFIG_DIR%\Actor.output.tmp
del %OpenCCM_CONFIG_DIR%\Actor.output

echo The COACH Actor is stopped.

